Subject: All OMAP platforms: MMC is broken

From: [email-masked] (Tony Lindgren)
Date: Thu, 24 Sep 2015 18:13:34 -0700

* Tony Lindgren <[email-masked]> [150924 16:42]:
> * Russell King - ARM Linux <[email-masked]> [150924 02:04]:
> > Nightly testing has revealed that both the OMAP3430 LDP and the OMAP4430
> > SDP fail to boot due to lack of working MMC.  Both platforms fail to
> > find their rootfs, which is on a SD card.
> > 
> > The breakage occurred somewhere between trees of September 9th (commit
> > 4e4adb2f4628) and September 12th (commit b0a1ea51bda4), so during the
> > merge window.
> 
> Yes sorry things got messed up in multiple ways :( I've summarized
> the mess here earlier:
> 
> http://article.gmane.org/gmane.linux.kernel.mmc/33911
> 
> And today commit b9c93646fd5c ("regulator: pbias: program pbias register
> offset in pbias driver") hit mainline so I'll send a pull request for
> the related dts change.

Kishon, while testing I noticed there are still at least two
issues remaining that seem to need fixing in the MMC driver:

1. The legacy booting without device tree does not probe MMC at
   all on omap3

2. I'm getting the regulator warning on omap4 duovero

Anyways, I'm sending a pull request for the fixes so far as that
gets MMC working again for most platforms.

Regards,

Tony